
Foreman - Bug #5674

IP address assignment not working

05/12/2014 01:29 PM - Mike McRill

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since updating to 1.5.0-1, creating a new host does not automatically assign an IP address using the DHCP smart proxy.  In the log,

I see this:

Started POST "/subnets/freeip" for 1.1.1.1 at 2014-05-12 08:27:40 -0500

Processing by SubnetsController#freeip as JSON

Parameters: {"subnet_id"=>"4", "host_mac"=>""}

Failed to query subnet 4 for free ip: Couldn't find Subnet with id=4 [WHERE (1=0)]

Completed 500 Internal Server Error in 24ms (ActiveRecord: 7.3ms)

History

#1 - 05/12/2014 01:31 PM - Mike McRill

Actually this is permissions related, please close.

#2 - 05/12/2014 01:35 PM - Dominic Cleal

- Status changed from New to Resolved

Yep, permission to view the subnets I think.
